# ActionConstraint(Constraint)

base classes — `bpy_struct`, `Constraint`

class `bpy.types.``ActionConstraint`(Constraint)

  Map an action to the transform axes of a bone

  `action`

    The constraining action

    Type: | `Action`

  `frame_end`

    Last frame of the Action to use

    Type: | int in [-300000, 300000], default 0

  `frame_start`

    First frame of the Action to use

    Type: | int in [-300000, 300000], default 0

  `max`

    Maximum value for target channel range

    Type: | float in [-1000, 1000], default 0.0

  `min`

    Minimum value for target channel range

    Type: | float in [-1000, 1000], default 0.0

  `subtarget`

    Type: | string, default “”, (never None)

  `target`

    Target Object

    Type: | `Object`

  `transform_channel`

    Transformation channel from the target that is used to key the Action

    Type: | enum in [‘LOCATION_X’, ‘LOCATION_Y’, ‘LOCATION_Z’, ‘ROTATION_X’, ‘ROTATION_Y’, ‘ROTATION_Z’, ‘SCALE_X’, ‘SCALE_Y’, ‘SCALE_Z’], default ‘ROTATION_X’

  `use_bone_object_action`

    Bones only: apply the object’s transformation channels of the action to the constrained bone, instead of bone’s channels

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Constraint.name` `Constraint.type` `Constraint.owner_space` `Constraint.target_space` `Constraint.mute` `Constraint.show_expanded` | `Constraint.is_valid` `Constraint.active` `Constraint.is_proxy_local` `Constraint.influence` `Constraint.error_location` `Constraint.error_rotation`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`